<?php

$module_name = 'EcmWorkCards';
$viewdefs [$module_name] = array(
	'DetailView' => array(
		'templateMeta' => array(
			'form' => array(
				'buttons' => array(
					0 => 'EDIT',
					//1 => 'DUPLICATE',
					1 => 'DELETE',
									array(
					'customCode' => '<input title="{$APP.LBL_DUPLICATE_BUTTON_TITLE}" accessKey="{$APP.LBL_DUPLICATE_BUTTON_KEY}" class="button" onclick="this.form.return_module.value=\'EcmWorkCards\'; this.form.return_action.value=\'DetailView\'; this.form.isDuplicate.value=true; this.form.action.value=\'EditView\'; this.form.return_id.value=\'{$id}\';" type="submit" name="Duplicate" value="{$APP.LBL_DUPLICATE_BUTTON_LABEL}" id="duplicate_button">'
				),
				//	3 => 'FIND_DUPLICATES' 
				),
			),
			'maxColumns' => '2',
			'widths' => array(
				0 => array(
					'label' => '10',
					'field' => '30'
				),
				1 => array(
					'label' => '10',
					'field' => '30'
				)
			),
			'includes' => array(
				0 => array(
					'file' => 'modules/EcmWorkCards/js/DetailViewDocumentReady.js'
				)
			)
		),
		'panels' => array(
			'LBL_ITEMS_TAB' => array(
				array(
					array(
						'name' => 'worker_name',
						'label' => 'LBL_WORKER_NAME',
					)
				),
					array(
							array(
									'name' => 'date',
									'label' => 'LBL_DATE',
							)
					),
					array(
							array(
									'name' => 'product_name',
									'label' => 'Produkt',
							)
					),
					array(
							array(
									'name' => 'action_name',
									'label' => 'Czynność',
							)
					),
					array(
							array(
									'name' => 'time',
									'label' => 'Czas od do',
									'customCode'=>'{$fields.time_from.value} - {$fields.time_to.value}'
							)
					),
					array(
							array(
									'name' => 'quantity',
									'label' => 'Ilość',
							)
					),
					array(
							array(
									'name' => 'description',
									'label' => 'Opis',
							)
					),
			),
		),
	)
);
?>
